ConPresso Community

Fragen, Antworten, Diskussionen rund um das Content Management System ConPresso

 
mod_editor ... ein Gedanke
Gehe zu Seite Zurück  1, 2, 3 ... 11, 12, 13, 14  Weiter
 
Neue Antwort erstellen    ConPresso Community Foren-Übersicht -> Modul Editor (Conpresso 4)
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7011

BeitragVerfasst am: 13.07.2008 21:17    Titel: Antworten mit Zitat

Seit zwei Wochen gibt es wohl eine zu FF3 kompatible Version...

http://www.fckeditor.net/forums/viewtopic.php?f=8&t=10184

allerdings wird sich da wohl noch einiges tun müssen. Da mod_editor vollständig modular aufgebaut ist lassen sich beliebige Editoren integrieren, vermutlich sogar mehrere Versionen eines Editors...

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 497
Wohnort: Berlin

BeitragVerfasst am: 04.11.2008 22:48    Titel: schon wieder hash-werte Antworten mit Zitat

Hallo mod_editor-Nutzer,

ich habe eine laufende mod_editor-Version mit FCKeditor 2.6.3 auf eine andere Seite mit der gleichen Conpresso-Version (und gleichem Provider) kopiert und in fckconfig.js die Pfade angepasst.
Trotzdem tritt wieder das Problem mit den Hash-Werten statt HTML-Textinhalt im Textfenster auf. Ich weiß einfach nicht mehr, was das Problem war und wie es zu beseitigen ist.
Die Dateien habe ich laut Anleitung verändert.
Auch wenn es nerven sollte, kann ich nochmals einen Tipp zu diesem Problem bekommen?Rolling Eyes

Vielen Dank im Voraus!
H.Schallnas, Berlin
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7011

BeitragVerfasst am: 04.11.2008 23:07    Titel: Antworten mit Zitat

Welche Anleitung benutzt Du?

Warum benutzt Du nicht die premodded files?

Habe auch gerade eine neue Version erstellt mit dem neuesten FCKeditor und dem neuesten tinyMCE-Editor (der aus Joomla). Den gibt es dann persönlich von mir...

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 497
Wohnort: Berlin

BeitragVerfasst am: 04.11.2008 23:12    Titel: anleitung... Antworten mit Zitat

Hallo Markus,
ich benutzte diese hier:

Zitat:
...Bei bereits bearbeiteten Installationen sollten folgende Änderungen besser von Hand durchgeführt werden:

=== OPEN / ÖFFNEN ===

_admin/articles.php

=== FIND / FINDE ===

$views = array('list');

=== BEFORE, ADD / DAVOR, EINFÜGEN ===

// Mod_editor
if (isset($mod_editor_article_file) && ($_REQUEST['action'] == 'articles_modify' || $_REQUEST['action'] == 'articles_save'))
foreach($mod_editor_article_file AS $article_file)
if (@file_exists($article_file)) include_once($article_file);
// Mod_editor

=== OPEN / ÖFFNE ===

_include/article_form.php

=== FIND / FINDE === (fast am Ende)

<?php
print('<script type="text/javascript">function innerToHidden() {');
foreach ($html_texts as $v) {
printf('window.document.article_form.feld_%1$s.value = document.getElementById('iframe_%1$s').contentWindow.document.body.innerHTML;', $v);
}
print('return true; }</script>');
?>

=== REPLACE WITH / ERSETZEN MIT===

<?php
// Mod_editor
if (isset($mod_editor_form_file) && @file_exists($mod_editor_form_file))
include_once($mod_editor_form_file);
// Mod_editor
?>


=== OPEN / ÖFFNE ===
_include/form_fields.inc.php

=== FIND / FINDE ===

$md5key = md5($key); // create an easy to use key for the iframe

=== FIND / FINDE ===
(dies folgt der zuerst gefundenen Zeile, die nicht ersetzt werden soll)

$html_texts[] = $md5key; // this allows to add a javascript which puts all iframes into the hidden field later

printf('<iframe id="iframe_%1$s" name="%1$s" frameborder="0" height="200" class="iframe inputwidth"></iframe>',
$md5key
);

printf('<input type="hidden" name="content[%s][html]" id="feld_%s" value="">', htmlspecialchars($key),
$md5key
);

print(help('articles-createarticle.html#articles-createarticle-articlecontent-texts-html'));

$text_value = $content[$key]['html']; // to avoid problems with the document.writeln below
$text_value = preg_replace ('/(52|5|2)/', ' ', $text_value);
$text_value = preg_replace ("/'/", "'", $text_value);
$text_value = str_replace('</', '</', $text_value);
?>
<script type="text/javascript">
iframe = document.getElementById('iframe_<?php echo $md5key; ?>').contentWindow;
iframe.document.clear();
iframe.document.open();
iframe.document.writeln('<?php echo $text_value; ?>');
iframe.document.close();
</script>

<?php
printf('<br /><A HREF="#text_%1$s" onClick="editorwindow = window.open(''.BASE_REL.'_editor/editor.php?saveto=iframe_%1$s&%2s', 'editor_popup', 'dependent=yes, width=750, height=580, resizable=yes, status=yes');">'
.'<img src="'.SKIN_URL.'edit.gif" width="20" height="18" align="absmiddle" alt="%3$s" >%3$s'
.'</A>',
$md5key,
SID,
___('-edit')
);

=== REPLACE WITH / ERSETZEN MIT===

// Mod_editor
if (isset($mod_editor_form_field_file) && @file_exists($mod_editor_form_field_file))
include($mod_editor_form_field_file);
// Mod_editor

=== OPEN / ÖFFNEN ===

_include/header.php

=== FIND / FINDE ===

</head>

=== BEFORE, ADD / DAVOR, EINFÜGEN ===
<?php
// Mod_editor
if (isset($mod_editor_header_file) && @file_exists($mod_editor_header_file))
include_once($mod_editor_header_file);
// Mod_editor
?>

=== OPEN / ÖFFNEN ===

_editor/imageinserter.php

=== FIND / FINDE ===

window.opener.doExecCommand('insertimage', "../_data/"+imginfo[0]);

=== REPLACE WITH / ERSETZEN MIT ===
<?php
if (file_exists($mod_editor_imageinserter_file)) include_once($mod_editor_imageinserter_file);
else echo " window.opener.doExecCommand('insertimage', '../_data/'+imginfo[0]);\n";
?>


Es handelte sich um eine bereits teilweise geänderte Installation (z.B. mod_text).

Grüße von
H.Schallnas
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7011

BeitragVerfasst am: 04.11.2008 23:20    Titel: Antworten mit Zitat

Werde wohl eine Tage brauchen, um herauszukriegen, woher Du diese hast... irgendeine war unvollständig...

Betrifft diemal aber nicht den Newsletter wie hier
http://community.conpresso.de/viewtopic.php?p=20894#20894
oder?

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7011

BeitragVerfasst am: 05.11.2008 00:00    Titel: Antworten mit Zitat

ZIPpe mal die Dateien aus editors\FCKedit und poste sie hier.
_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 497
Wohnort: Berlin

BeitragVerfasst am: 05.11.2008 07:09    Titel: zip Antworten mit Zitat

Hallo Markus,

das Modul mod_newsletter ist nicht installiert.
Hier ist das Verzeichnis editors/FCKedit

Grüße aus Berlin von
H.Schallnas





FCKedit.zip - 4.7 KB
468 mal

Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7011

BeitragVerfasst am: 05.11.2008 07:19    Titel: Antworten mit Zitat

Hm... auch die sehen erst mal normal aus...

die "laufende" Version funktioniert aber noch und zeigt dieses Verhalten nicht, oder?
Und es werden auch keine js-Fehler gemeldet?
Die anderen Editoren funktionieren?

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 497
Wohnort: Berlin

BeitragVerfasst am: 05.11.2008 14:33    Titel: laufende Version Antworten mit Zitat

Ja, alles funktioniert...

EDIT: Ich habe inzwischen nochmals die Dateien durch die im angehängten zip-Archiv ersetzt. Jetzt funktioniert alles bestens!

Vielen Dank für deine Mühe, Markus! Es war wahrscheinlich nur ein Installationsfehler.

Grüße von
H.Schallnas





cms-fckedit.zip - 20.17 KB
502 mal


 
Für dieses Posting bedanken sich die folgenden User: MarkusR
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 497
Wohnort: Berlin

BeitragVerfasst am: 16.11.2008 22:42    Titel: Antworten mit Zitat

Hallo Markus,
gerade habe ich mich an diese Zeilen von oben erinnert:
MarkusR hat Folgendes geschrieben:
...Habe auch gerade eine neue Version erstellt mit dem neuesten FCKeditor und dem neuesten tinyMCE-Editor (der aus Joomla). Den gibt es dann persönlich von mir...


O, das wäre interessant!

Grüße von
H.Schallnas
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7011

BeitragVerfasst am: 16.11.2008 23:41    Titel: Antworten mit Zitat

Dann muß ich da wohl mal ein Paket draus machen... hatte es schon wieder zu den Akten gelegt... Embarassed
_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7011

BeitragVerfasst am: 07.03.2009 01:30    Titel: Antworten mit Zitat

Hat etwas gedauert, aber jetzt gibt es den Download

http://conpresso4.de/_rubric/index.php?rubric=mod_editor

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 497
Wohnort: Berlin

BeitragVerfasst am: 08.03.2009 15:27    Titel: Antworten mit Zitat

Hallo Markus,

muss man die ganze Installation ersetzen oder reicht es, das Verzeichnis _tinyMCE hochzuladen und den Editor dann auszuwählen, wenn man schon mit mod_editor arbeitet?

Danke für deine Arbeit!!!

H.Schallnas aus Berlin
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 7011

BeitragVerfasst am: 08.03.2009 15:45    Titel: Antworten mit Zitat

Ich empfehle eine Neuinstallation, da sich viele Dinge geändert haben.

Ein einfaches Hochladen des tinyMCE Verzeichnisses reicht nicht. Es muß mindestens auch das entsprechende Verzeichnis im Verzeichnis editors hochgeladen werden. (durch den gewollten Modulcharakter der Editoreinbindung sollte das eigentlich gehen, denn genau so sollen später weitere Editoren eingebunden werden)

Auf einem anderen Auftritt habe ich eine vorhandene Installation dadurch erstetzt, daß ich alle zum alten Modul gehörigen Verzeichnisse umbenannt habe (ein x davor) und in mod_editor die Datei rubric.cpo ebenfalls umbenannt habe.
Dann habe ich alle neuen Verzeichnisse hochgeladen. Dort lief dann alles ohne weiteren Eingriff.

Wer eine Neuinstallation scheut macht ein Backup von allen Daten und Datenbanken und probiert dann einfach aus, ob es reicht die neuen Daten drüber zu bügeln. Dazu kann ich aber nichts sagen und würde es auch nicht empfehlen.

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7

 
Für dieses Posting bedanken sich die folgenden User: hscha
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
Marky
ConPresso-Checker


Anmeldungsdatum: 11.12.2005
Beiträge: 382

BeitragVerfasst am: 08.03.2009 15:59    Titel: Antworten mit Zitat

Hallo Markus,

ich habe heute das Modul mit dem TinyMCE auf unser Livesystem gestellt.
Den Tiny habe ich auf Version 3.2.2 aktualisiert. Das Ganze lief inklusive Aktualisierung der Sprachdatei ohne Probleme.
Jetzt ist mir allerdings noch eine Sache aufgefallen, die auf beiden Systemen nicht funktioniert:
Die individuellen Editor-Einstellungen scheinen zumindest beim Tiny nicht zu funktionieren, d.h. ich stelle defaultmäßig 'conpresso_mini' ein und möchte dann für bestimmte Benutzer 'conpresso' einstellen, dann bleibt die Symbolleiste im mini-Modus.
Es hängt einzige und alleine vom default-Wert ab, was die Benutzer für eine Oberfläche sehen.
Ich kann mit den individuellen Einstellungen weder die Funktionalität erweitern noch reduzieren.

Nachtrag: Beim FCKEditor funktioniert es ...

_________________
Gruß
Marky
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
Beiträge der letzten Zeit anzeigen:   
Neue Antwort erstellen    ConPresso Community Foren-Übersicht -> Modul Editor (Conpresso 4) Alle Zeiten sind GMT + 1 Stunde
Gehe zu Seite Zurück  1, 2, 3 ... 11, 12, 13, 14  Weiter
Seite 12 von 14

 
Gehe zu:  
Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum herunterladen